port: 7890
socks-port: 7891
allow-lan: true
mode: Rule
log-level: info
external-controller: 127.0.0.1:9090

proxies:
  - name: "Japan Trojan"
    type: trojan
    server: 154.83.93.175
    port: 9166
    password: 08bce1aa-2ee0-48c7-8937-8cfbcf5322a1
    sni: 154.83.93.175
    skip-cert-verify: true

  - name: "Singapore Shadowsocks"
    type: ss
    server: 47.236.253.17
    port: 8388
    cipher: chacha20-ietf-poly1305
    password: WF6q5GgETFZ9
    udp: true

proxy-groups:
  - name: "Auto"
    type: select
    proxies:
      - "Japan Trojan"
      - "Singapore Shadowsocks"
      - DIRECT

rules:
  - DOMAIN-SUFFIX,google.com,Auto
  - DOMAIN-SUFFIX,youtube.com,Auto
  - DOMAIN-KEYWORD,facebook,Auto
  - GEOIP,CN,DIRECT
  - MATCH,Auto
